com.sap.conn.jco

## Class About

- java.lang.Object
- - com.sap.conn.jco.About

-     public class About
      extends Object

  The About class allows getting information about JCo. When running the class, a dialog will pop up showing all relevant information about the installation environment.
  Since:
    JCo 3.0.4

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getFullVersion()` Returns the string containing versions of components used by Java Connector layers.
    `static boolean` | `isNativeLayerAvailable()` Checks whether the native layer is available and is already loaded.
    `static void` | `main(String[] args)` Prints the version information of the Java Connector.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### main

          public static void main(String[] args)

      Prints the version information of the Java Connector.
      If a graphical UI (user interface) is available, the version information will be shown in an AWT Frame window, otherwise it will be written to the standard output stream.

      Supported option arguments:

      `-stdout` | Print to the `stdout` stream instead of showing a window.
      `-noManifest` | Omit the `MANIFEST.MF` completely.
      `-noDigests` | Omit all Digest entries from the `MANIFEST.MF`.

      Parameters:
        `args` - the option arguments for printing the version information

    - #### getFullVersion

          public static String getFullVersion()

      Returns the string containing versions of components used by Java Connector layers.
      Returns:
        version string of the JCo components

    - #### isNativeLayerAvailable

          public static boolean isNativeLayerAvailable()

      Checks whether the native layer is available and is already loaded.
      Returns:
        true, if the native layer is available, false otherwise

Copyright © 2018 SAP. All Rights Reserved.